#
# Makefile for WebMagick Documentation
#
# Copyright Bob Friesenhahn, 1999
#
AUTOMAKE_OPTIONS = 1.2

# Subdirectories under Automake control
SUBDIRS = fig

# Additional files to distribute
EXTRA_DIST = webmagick.1 webmagick.html 
# removed for now because it's big
#webmagick.ps

info_TEXINFOS = webmagick.texinfo

dvi_TEXINFOS = webmagick.texinfo

man_MANS = webmagick.1

# Rule to build webmagick.1
webmagick.1: ../webmagick
	../utils/help2man ../webmagick > webmagick.1

# Rule to build webmagick.html
webmagick.html: webmagick.texinfo
	texi2html -monolithic webmagick.texinfo

webmagick_toc.html: webmagick.texinfo
	texi2html -split_chapter webmagick.texinfo

# Rule to build webmagick.dvi
webmagick.dvi: webmagick.texinfo
	texi2dvi webmagick.texinfo

# Rule to build webmagick.ps
webmagick.ps: webmagick.dvi
	dvips -r0 -o $@ webmagick.dvi

all-local: webmagick.html

dvi-local: webmagick.ps

clean-local:

distclean-local:

maintainer-clean-local:
